// #name = Score Screen Toggle
// #version = 1.0
// #date = 03 April 2003
// #author = Kaiten Commander
// #warrior = Kaiten Commander
// #email = kaiten@cb-tribes.co.uk
// #web = http://www.kaiten.barrysworld.net
// #description = Score Screen on Key Down & Hide on release.
// #status = beta

package SSToggle
{
	function OptionsDlg::onWake( %this )
	{
		if(!$SSToggle)
		{
			$RemapName[$RemapCount]="Score Screen (Hold)";
			$RemapCmd[$RemapCount]="SSToggleCmdMap";
			$RemapCount++;
		}
		parent::onWake(%this);
	}

	function clientCmdSetDefaultVehicleKeys(%inVehicle)
	{
		parent::clientCmdSetDefaultVehicleKeys(%inVehicle);
		
		if (%inVehicle) passengerKeys.copyBind(moveMap, SSToggleCmdMap);
	}	
	
};	
activatePackage(SSToggle);

function SSToggleCmdMap(%val)
{
	if (%val)
	{
		showHud('scoreScreen');
		clientCmdTogglePlayHuds(false);
	}
	else
	{
		HideHud('scoreScreen');
		clientCmdTogglePlayHuds(true);
	}	
}

